Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.instrument
Class JoinpointStatusUpdate.ClassJoinpoints

    java.lang.Object
      org.jboss.aop.instrument.JoinpointStatusUpdate.ClassJoinpoints

Enclosing class:
  JoinpointStatusUpdate

public static class JoinpointStatusUpdate.ClassJoinpoints
extends Object

Collection of the joinponts of a class.

Field Summary
`Collection` | `constructorExecutions` The constructor execution joinpoints.
`Collection` | `fieldReads` The field read joinpoints.
`Collection` | `fieldWrites` The field write joinponts.
`Collection` | `methodExecutions` The method execution joinpoints.

Constructor Summary
`JoinpointStatusUpdate.ClassJoinpoints(int fields, int constructors, int methods)` Constructor.

Method Summary
`boolean` | `isEmpty()` Returns `true` if this object contains no joinpoints.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fieldReads

    public Collection fieldReads

  The field read joinpoints. A collection of `java.lang.Integer`.

### fieldWrites

    public Collection fieldWrites

  The field write joinponts. A collection of `java.lang.Integer`.

### constructorExecutions

    public Collection constructorExecutions

  The constructor execution joinpoints. A collection of `java.lang.Integer`.

### methodExecutions

    public Collection methodExecutions

  The method execution joinpoints. A collection of `org.jboss.aop.MethodJoinPoint`.

Constructor Detail

### JoinpointStatusUpdate.ClassJoinpoints

    public JoinpointStatusUpdate.ClassJoinpoints(int fields,
                                                 int constructors,
                                                 int methods)

  Constructor.

Parameters:
  `fields` - the maximum number of field reads and field writes that this instance may contain.
  `constructors` - the maximum number of constructor executions that this instance may contain.
  `methods` - the maximum number of method executions that this instance may contain.

Method Detail

### isEmpty

    public boolean isEmpty()

  Returns `true` if this object contains no joinpoints.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.